package ucl.salinization.displays;

/**
 * The city object that represent city information.
 * @author 
 */
public class City {

	/**The name of the city*/
	private String name;
	
	/**The population class for the city*/
	private String populationClass;
	
	/**The country associated with the city*/
	private String country;
	
	/**if the city is the political capital*/
	private boolean capital;
	
	/**
	 * Default constructor for the city object.
	 * @param name the name of the city
	 * @param capital the political capital or not for the country
	 */
	public City(String name, boolean capital){
		this.capital = capital;
	}

	public boolean isCapital() {
		return capital;
	}

	public String getName() {
		return name;
	}

	public String getPopulationClass() {
		return populationClass;
	}

	public void setPopulationClass(String populationClass) {
		this.populationClass = populationClass;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public void setCapital(boolean capital) {
		this.capital = capital;
	}	
	
	
}
